Bug 152282 - Incorrect path to selinuxenabled in /etc/init.d/sendmail
Incorrect path to selinuxenabled in /etc/init.d/sendmail
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sendmail (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
: 167075 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-27 05:50 EST by Gilles CHAUVIN
Modified: 2008-12-11 13:18 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2007-0252
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:11:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilles CHAUVIN 2005-03-27 05:50:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20050102 Firefox/1.0

Description of problem:
The path to selinuxenabled is incorrect in /etc/init.d/sendmail.

Version-Release number of selected component (if applicable):
sendmail-8.13.1-2

How reproducible:
Always

Steps to Reproduce:
N/A

Actual Results:  Line #61 is:
if [ -x /usr/bin/selinuxenabled ] && /usr/bin/selinuxenabled; then

Expected Results:  Should be:
if [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled; then

Additional info:

# which selinuxenabled
/usr/sbin/selinuxenabled
Comment 1 RHEL Product and Program Management 2006-08-18 13:46:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Thomas Woerner 2007-01-22 10:30:55 EST
*** Bug 167075 has been marked as a duplicate of this bug. ***
Comment 7 Red Hat Bugzilla 2007-05-01 13:11:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0252.html

Note You need to log in before you can comment on or make changes to this bug.